Subject: Re: bug#2678: 23.0.91; vc-next-action in vc-dir acts strangely when only adds are necessary

From: Miles Bader <[email-masked]>
Date: Sat, 21 Mar 2009 12:00:20 +0900

On Sat, Mar 21, 2009 at 11:54 AM, Dan Nicolaescu <[email-masked]> wrote:
>  >    (2) Perhaps vc-dir it should do a "revert-buffer" (or something)
>  > afterwards when it operations on a subdirectory or the whole
>  > directory, as any operation with the backend doing the recursion may
>  > change something other than what is displayed.  This is easy to see if
>  > their were unregistered subdirectories with files -- doing "v" to
>  > register a subdirectory adds all files in that directory, which vc-dir
>  > hadn't displayed before, so currently "v" doesn't properly show them
>  > afterwards (doing "g" shows them).
>
> It does, but there might be other things not working correctly with git,
> try with hg and you will see it working correctly.

It does what?  A revert?  Or always updates the display correctly in
the subdir case without a revert?  If it's the latter, what mechanism
does the backend use to communicate to vc-dir that more stuff has
shown up?  [or does the backend just do a revert itself?]

Thanks,

-Miles

-- 
Do not taunt Happy Fun Ball.